package cz.senslog.connector.model.analytics;

import cz.senslog.connector.model.api.AbstractModel;

import java.time.OffsetDateTime;
import java.util.List;

public class AnalyticsModel extends AbstractModel {

    private final List<Observation> observations;

    public AnalyticsModel(List<Observation> observations, OffsetDateTime from, OffsetDateTime to) {
        super(from, to);
        this.observations = observations;
    }

    public List<Observation> getObservations() {
        return observations;
    }
}
